
import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';

class AppInfoView extends StatelessWidget {
  const AppInfoView({super.key});

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: const Text("Information"),
      content: const Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          Text("Diese App zeigt die Konsumverbotszonen für Cannabis."),
          Text("Keinerlei Gewähr für Vollständigkeit, Richtigkeit und Aktualität!"),
          SizedBox(height: 10),
          Text("Prüfe selbst die Gesetzlichen Bestimmungen vor dem Besitz oder Konsum von Cannabis!", style: TextStyle(fontWeight: FontWeight.bold)),
          SizedBox(height: 10),
          Text("Die Daten beruhen auf OpenStreetMap, bearbeitet durch bubatzkarte.de."),
          Text("Es besteht keinerlei Kooperation mit OpenStreetMap oder bubatzkarte.de.")
        ],
      ),
      actions: [
        TextButton(
          child: const Text("bubatzkarte.de öffnen"),
          onPressed: () => launchUrl(Uri.parse("https://bubatzkarte.de/")),
        ),
        TextButton(
          child: const Text("openstreetmap.org öffnen"),
          onPressed: () => launchUrl(Uri.parse("https://www.openstreetmap.org/")),
        ),
        TextButton(
          child: const Text("Schließen"),
          onPressed: () => Navigator.of(context).pop(),
        ),
      ],
    );
  }
}
